MONGOC_SOCKET_CLOSE(3)

NAME
mongoc_socket_close - mongoc_socket_close()

SYNOPSIS

int
mongoc_socket_close (mongoc_socket_t *socket);

PARAMETERS

•   socket: A mongoc_socket_t.

DESCRIPTION

This function is a wrapper around the BSD socket shutdown() and close() functions, and their Windows equivalents. The socket is shut down only if the current process is the same as the process that opened the socket. Regardless, the socket is then closed.

RETURNS

0 on success, -1 on failure to close the socket. On failure, the socket's errno is set; retrieve it with mongoc_socket_errno().

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc